| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHashComputer< T > Class Template Reference
[Containers]

Template for hash value computing. More...

`#include <csutil/hash.h>`

List of all members.

## Static Public Member Functions
static uint | ComputeHash (const T &key)
| Compute a hash value for key.

## Detailed Description

### template<class T>
class csHashComputer< T >

Template for hash value computing.

Expects that T has a method 'uint GetHash() const'.

Definition at line 56 of file hash.h.

## Member Function Documentation

template<class T>

static uint csHashComputer< T >::ComputeHash | ( | const T & | key | ) | `[inline, static]`

Compute a hash value for key.

Definition at line 60 of file hash.h.

Referenced by csHash< csEventCord *, csStringID >::Contains(), csHash< csEventCord *, csStringID >::Delete(), csHash< csEventCord *, csStringID >::DeleteAll(), csHash< csEventCord *, csStringID >::Get(), csHash< csEventCord *, csStringID >::GetAll(), csHash< csEventCord *, csStringID >::GetElementPointer(), csHash< csEventCord *, csStringID >::Put(), and csHash< csEventCord *, csStringID >::PutUnique().

The documentation for this class was generated from the following file:

- csutil/hash.h